Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create document restore

POST/workspaces/{organizationId}/documents/{id}/restore
Path parameters
organizationIdstringrequired
idstringrequired
Responses
200Document restored
idstringrequired
organizationIdstringrequired
titlestringrequired
iconstring | nullrequired
contentobject[] | stringrequired
Show properties
Any of:
object[]
Array of object
object
string
string
contentFormatstringrequired
Allowed:blocksmarkdown
slugstring | nullrequired
projectIdstring | nullrequired
issueIdstring | nullrequired
initiativeIdstring | nullrequired
parentDocumentIdstring | nullrequired
spaceIdstring | nullrequired
isTemplatebooleanrequired
createdByIdstringrequired
updatedByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
trashedAtstring | nullrequired
404Document not found
Try it
Server
Parameters
Request
curl -X POST "/workspaces/string/documents/string/restore"
Response
{
  "id": "string",
  "organizationId": "string",
  "title": "string",
  "icon": "string",
  "content": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "contentFormat": "blocks",
  "slug": "string",
  "projectId": "string",
  "issueId": "string",
  "initiativeId": "string",
  "parentDocumentId": "string",
  "spaceId": "string",
  "isTemplate": true,
  "createdById": "string",
  "updatedById": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "trashedAt": "string"
}